<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getInstance();

// CFG: HEADER-CHARSET
$cfg->setConfigEntry('header_charset', "utf-8");

// CFG: DEFAULT-WEB-COMMAND
$cfg->setConfigEntry('default_web_command', "home");

// CFG: DEFAULT-IMAGE-COMMAND
$cfg->setConfigEntry('default_image_command', "build");

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', "index.php?app={?app_short_name?}&page=do_form");

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', "post");

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', "_self");

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', "Y");

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', "Y");

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', "Y");

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', "Y");

// CFG: PROFILE-INCLUDES-BIRTHDAY
$cfg->setConfigEntry('profile_includes_birthday', "Y");

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', "Y");

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', "Y");

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', "Y");

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', "Y");

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', "Y");

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration_class', "ShipSimuRegistration");

// CFG: USER-LOGIN-CLASS
$cfg->setConfigEntry('user_login_class', "ShipSimuUserLogin");

// CFG: GUEST-LOGIN-CLASS
$cfg->setConfigEntry('guest_login_class', "ShipSimuGuestLogin");

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_unconfirmed', "UNCONFIRMED");

// CFG: USER-STATUS-GUEST
$cfg->setConfigEntry('user_status_guest', "GUEST");

// CFG: USER-STATUS-CONFIRMED
$cfg->setConfigEntry('user_status_confirmed', "CONFIRMED");

// CFG: LOGIN-HELPER-CLASS
$cfg->setConfigEntry('login_helper_class', "ShipSimuLoginHelper");

// CFG: AUTH-METHOD-CLASS
$cfg->setConfigEntry('auth_method_class', "CookieAuth");

// CFG: APP-LOGIN-URL
$cfg->setConfigEntry('app_login_url', "index.php?app={?app_short_name?}&page=login_area");

// CFG: LOGIN-FAILED-URL
$cfg->setConfigEntry('login_failed_url', "index.php?app={?app_short_name?}&page=login_failed");

// CFG: LOGOUT-DONE-URL
$cfg->setConfigEntry('logout_done_url', "index.php?app={?app_short_name?}&page=logout_done");

// CFG: LOGIN-USER-STATUS-URL
$cfg->setConfigEntry('login_user_status_url', "index.php?app={?app_short_name?}&page=login_area&action=status_problem");

// CFG: USER-NOT-UNCONFIRMED-URL
$cfg->setConfigEntry('user_not_unconfirmed_url', "index.php?app={?app_short_name?}&page=status&status=unconfirmed_problem");

// CFG: USER-UNCONFIRMED-EMAIL-MISSING-URL
$cfg->setConfigEntry('user_unconfirmed_email_missing_url', "index.php?app={?app_short_name?}&page=status&status=unconfirmed_email_missing");

// CFG: CONFIRM-CODE-INVALID-URL
$cfg->setConfigEntry('confirm_code_invalid_url', "index.php?app={?app_short_name?}&page=status&status=confirm_code_invalid");

// CFG: USER-NOT-FOUND-URL
$cfg->setConfigEntry('user_not_found_url', "index.php?app={?app_short_name?}&page=status&status=user_not_found");

// CFG: LOGIN-GOVERNMENT-STARTUP-FAILED-URL
$cfg->setConfigEntry('login_government_startup_failed_url', "index.php?app={?app_short_name?}&page=government_failed&failed=startup");

// CFG: LOGIN-GOVERNMENT-TRAINING-FAILED-URL
$cfg->setConfigEntry('login_government_training_failed_url', "index.php?app={?app_short_name?}&page=government_failed&failed=training");

// CFG: REFILL-PAGE-CURRENCY-DONE-URL
$cfg->setConfigEntry('refill_page_done_url', "index.php?app={?app_short_name?}&page=login_area&action=refill_done&done={?refill_done?}&amount={?amount?}");

// CFG: LOGIN-DEFAULT-ACTION
$cfg->setConfigEntry('login_default_action', "welcome");

// CFG: NEWS-READER-CLASS
$cfg->setConfigEntry('news_reader_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-CLASS
$cfg->setConfigEntry('news_reader_login_area_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-LOGOUT-CLASS
$cfg->setConfigEntry('news_reader_login_area_logout_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-COMPANY-CLASS
$cfg->setConfigEntry('news_reader_login_area_company_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-REFILL-CLASS
$cfg->setConfigEntry('news_reader_login_area_refill_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-PROFILE-CLASS
$cfg->setConfigEntry('news_reader_login_area_profile_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-GOVERNMENT-TRAINING-CLASS
$cfg->setConfigEntry('news_reader_login_area_government_training_class', "DefaultNewsReader");

// CFG: NEWS-READER-LOGIN-AREA-GOVERNMENT-STARTUP-HELP-CLASS
$cfg->setConfigEntry('news_reader_login_area_government_startup_help_class', "DefaultNewsReader");

// CFG: NEWS-READER-GOVERNMENT-FAILED-CLASS
$cfg->setConfigEntry('news_reader_government_failed_class', "DefaultNewsReader");

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', "NewsDownloadFilter");

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', "NewsProcessFilter");

// CFG: USER-AUTH-FILTER
$cfg->setConfigEntry('user_auth_filter', "UserAuthFilter");

// CFG: USER-UPDATE-FILTER
$cfg->setConfigEntry('user_update_filter', "UserUpdateFilter");

// CFG: USER-STATUS-CONFIRMED-FILTER
$cfg->setConfigEntry('user_status_confirmed_filter', "UserStatusConfimedUpdateFilter");

// CFG: CAPTCHA-ENCRYPT-VALIDATOR-FILTER
$cfg->setConfigEntry('captcha_encrypt_validator_filter', "CaptchaEncryptFilter");

// CFG: REFILL-REQUEST-VALIDATOR-FILTER
$cfg->setConfigEntry('refill_request_validator_filter', "RefillRequestValidatorFilter");

// CFG: CAPTCHA-GUEST-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_guest_verifier_filter', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-USER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_user_verifier_filter', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-REGISTER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_register_verifier_filter', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-REFILL-VERFIER-FILTER
$cfg->setConfigEntry('captcha_refill_verifier_filter', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CAPTCHA-PROFILE-VERFIER-FILTER
$cfg->setConfigEntry('captcha_profile_verifier_filter', "GraphicalCodeCaptchaVerifierFilter");

// CFG: CONFIRM-CODE-VERIFIER-FILTER
$cfg->setConfigEntry('confirm_code_verifier_filter', "ConfirmCodeVerifierFilter");

// CFG: BIRTHDAY-REGISTER-VERIFIER-FILTER
$cfg->setConfigEntry('birthday_register_verifier_filter', "BirthdayVerifierFilter");

// CFG: BIRTHDAY-PROFILE-VERIFIER-FILTER
$cfg->setConfigEntry('birthday_profile_verifier_filter', "BirthdayVerifierFilter");

// CFG: REFILL-PAGE-FILTER
$cfg->setConfigEntry('refill_page_filter', "RefillPageFilter");

// CFG: REFILL-REQUEST-CURRENCY-BOOK-FILTER
$cfg->setConfigEntry('refill_request_currency_test_book_filter', "RefillRequestCurrencyTestBookFilter");

// CFG: PAYMENT-DISCOVERY-FILTER
$cfg->setConfigEntry('payment_discovery_filter', "PaymentDiscoveryFilter");

// CFG: GOVERNMENT-PAYS-TRAINING-FILTER
$cfg->setConfigEntry('government_pays_training_filter', "ShipSimuGovernmentPaysTrainingFilter");

// CFG: GOVERNMENT-PAYS-STARTUP-HELP-FILTER
$cfg->setConfigEntry('government_pays_startup_help_filter', "ShipSimuGovernmentPaysStartupHelpFilter");

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_home_limit', 10);

// CFG: NEWS-LOGIN-AREA-LIMIT
$cfg->setConfigEntry('news_login_area_limit', 15);

// CFG: NEWS-GOVERNMENT-FAILED-LIMIT
$cfg->setConfigEntry('news_government_failed_limit', 15);

// CFG: LOGIN-ENABLED
$cfg->setConfigEntry('login_enabled', "Y");

// CFG: CONFIRM-EMAIL-ENABLED
$cfg->setConfigEntry('confirm_email_enabled', "Y");

// CFG: LOGIN-DISABLED-REASON
$cfg->setConfigEntry('login_disabled_reason', "Loginbereich befindet sich noch im Aufbau.");

// CFG: LOGIN-TYPE
$cfg->setConfigEntry('login_type', "username"); // username, email, both

// CFG: EMAIL-CHANGE-ALLOWED
$cfg->setConfigEntry('email_change_allowed', "Y");

// CFG: EMAIL-CHANGE-CONFIRMATION
$cfg->setConfigEntry('email_change_confirmation', "Y");

// CFG: GUEST-LOGIN-ALLOWED
$cfg->setConfigEntry('guest_login_allowed', "Y");

// CFG: GUEST-LOGIN-USERNAME
$cfg->setConfigEntry('guest_login_user', "guest");

// CFG: GUEST-LOGIN-PASS
$cfg->setConfigEntry('guest_login_passwd', "guest");

// CFG: LOGIN-WELCOME-ACTION-CLASS
$cfg->setConfigEntry('login_welcome_action_class', "ShipSimuLoginAction");

// CFG: LOGIN-LOGOUT-ACTION-CLASS
$cfg->setConfigEntry('login_logout_action_class', "ShipSimuLogoutAction");

// CFG: LOGIN-PROFILE-ACTION-CLASS
$cfg->setConfigEntry('login_profile_action_class', "ShipSimuProfileAction");

// CFG: SHIPSIMU-REGISTER-CAPTCHA
$cfg->setConfigEntry('shipsimu_register_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-USER-LOGIN-CAPTCHA
$cfg->setConfigEntry('shipsimu_user_login_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-GUEST-LOGIN-CAPTCHA
$cfg->setConfigEntry('shipsimu_guest_login_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-PROFILE-CAPTCHA
$cfg->setConfigEntry('shipsimu_profile_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-REFILL-CAPTCHA
$cfg->setConfigEntry('shipsimu_refill_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-GOVERNMENT-STARTUP-CAPTCHA
$cfg->setConfigEntry('shipsimu_government_startup_captcha', "GraphicalCodeCaptcha");

// CFG: SHIPSIMU-GOVERNMENT-TRAINING-CAPTCHA
$cfg->setConfigEntry('shipsimu_government_training_captcha', "GraphicalCodeCaptcha");

// CFG: CAPTCHA-STRING-LENGTH
$cfg->setConfigEntry('captcha_string_length', 5);

// CFG: CAPTCHA-SEARCH-CHARS
$cfg->setConfigEntry('captcha_search_chars', "+/=");

// CFG: RANDOM-STRING-LENGTH
$cfg->setConfigEntry('random_string_length', 100);

// CFG: SHIPSIMU-REGISTER-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_register_captcha_secured', "Y");

// CFG: SHIPSIMU-USER-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_user_login_captcha_secured', "Y");

// CFG: SHIPSIMU-GUEST-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_guest_login_captcha_secured', "Y");

// CFG: SHIPSIMU-PROFILE-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_profile_captcha_secured', "Y");

// CFG: SHIPSIMU-REFILL-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_refill_captcha_secured', "Y");

// CFG: SHIPSIMU-GOVERNMENT-STARTUP-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_government_startup_captcha_secured', "Y");

// CFG: SHIPSIMU-GOVERNMENT-TRAINING-CAPTCHA-SECURED
$cfg->setConfigEntry('shipsimu_government_training_captcha_secured', "Y");

// CFG: BLOCK-SHOWS-REGISTRATION
$cfg->setConfigEntry('block_shows_registration', "Y");

// CFG: COMPANY-CLASS
$cfg->setConfigEntry('company_class', "ShippingCompany");

// CFG: COMPANY-DB-WRAPPER-CLASS
$cfg->setConfigEntry('company_db_wrapper_class', "CompanyDatabaseWrapper");

// CFG: USER-POINTS-DB-WRAPPER-CLASS
$cfg->setConfigEntry('user_points_db_wrapper_class', "UserPointsDatabaseWrapper");

// CFG: USER-GOVERNMENT-WRAPPER-CLASS
$cfg->setConfigEntry('user_gov_wrapper_class', "UserGovernmentDatabaseWrapper");

// CFG: PAYMENT-DB-WRAPPER-CLASS
$cfg->setConfigEntry('payment_db_wrapper_class', "PaymentsDatabaseWrapper");

// CFG EMAIl-TPL-RESEND-LINK
$cfg->setConfigEntry('email_tpl_resend_link', "text");

// CFG: MAIL-TEMPLATE-CLASS
$cfg->setConfigEntry('mail_template_class', "MailTemplateEngine");

// CFG: IMAGE-TEMPLATE-CLASS
$cfg->setConfigEntry('image_template_class', "ImageTemplateEngine");

// CFG: ADMIN-EMAIL
$cfg->setConfigEntry('admin_email', "you@some-hoster.invalid");

// CFG: USER-CLASS
$cfg->setConfigEntry('user_class', "ShipSimuMember");

// CFG: GUEST-CLASS
$cfg->setConfigEntry('guest_class', "ShipSimuGuest");

// CFG: MAX-ALLOWED-COMPANIES-FOUND
$cfg->setConfigEntry('max_allowed_companies_found', 10);

// CFG: FOUND-NEW-COMPANY-ACTION-POINTS
$cfg->setConfigEntry('found_new_company_action_points', 1000000);

// CFG: WRITE-APPLICATION-ACTION-POINTS
$cfg->setConfigEntry('write_applications_action_points', 10000);

// CFG: USER-POINTS-CLASS
$cfg->setConfigEntry('user_points_class', "UserPoints");

// CFG: GOVERNMENT-CLASS
$cfg->setConfigEntry('government_class', "SimplifiedGovernment");

// CFG: BANK-CLASS
$cfg->setConfigEntry('bank_class', "MoneyBank");

// CFG: REFILL-PAGE-ACTIVE
$cfg->setConfigEntry('refill_page_active', "Y");

// CFG: REFILL-PAGE-MIN-CURRENCY-AMOUNT
$cfg->setConfigEntry('refill_page_min_currency_amount', 1000);

// CFG: SHIP-SIMU-LOGIN-FILL-PAYMENT-DISCOVERY
$cfg->setConfigEntry('ship_simu_login_refill_payment_discovery', "LocalPaymentDiscovery");

// CFG: GOVERNMENT-STARTUP-HELP-LIMIT
$cfg->setConfigEntry('government_startup_help_limit', 3);

// CFG: WEB-BLOCK-HELPER
$cfg->setConfigEntry('web_block_helper', "WebBlockHelper");

// CFG: WEB-FORM-HELPER
$cfg->setConfigEntry('web_form_helper', "WebFormHelper");

// CFG: WEB-LINK-HELPER
$cfg->setConfigEntry('web_link_helper', "WebLinkHelper");

// CFG: WEB-CMD-GOVERNMENT-FAILED-RESOLVER-CLASS
$cfg->setConfigEntry('web_cmd_government_failed_resolver_class', "WebGovernmentFailedCommandResolver");

// CFG: REFILL-REQUEST-CURRENCY-PAYMENT-TYPE
$cfg->setConfigEntry('refill_request_currency_payment_type', "test");

// CFG: LOGIN-REGISTER-LOGIN-FORM
$cfg->setConfigEntry('login_register_login_form', "index.php?app={?app_short_name?}&amp;page=register");

// CFG: HOME-MENU-CLASS
$cfg->setConfigEntry('home_menu_class', "ShipSimuHomeMenu");

// CFG: LOGIN-MENU-CLASS
$cfg->setConfigEntry('login_menu_class', "ShipSimuLoginMenu");

// [EOF]
?>
