<?php
/**
 * A maschine room class for really huge ships
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class MaschineRoom extends BaseShipPart {
	// Constructor
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);

		// Clean up a little
		$this->removeSystemArray();
		$this->removeNumberFormaters();
	}

	// Maschinenraum erstellen
	public final static function createMaschineRoom () {
		// Get new instance
		$roomInstance = new MaschineRoom();

		// Umrechnungsfaktoren setzen
		$roomInstance->setResizeFactorElement('width' , 1.3);
		$roomInstance->setResizeFactorElement('height', 1.8);
		$roomInstance->setResizeFactorElement('length', 1.3);

		// Instanz zurueckgeben
		return $roomInstance;
	}
}

// [EOF]
?>
