<?php
// Get form helper instance
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'shipsimu_government_training'));

// Prefetch user instance
$helperInstance->prefetchValueInstance('user');

// Add main form group
$helperInstance->addFormNote('reality_warning', "WARNUNG: Bitte dieses Formular nicht mit echten Angaben ausf&uuml;llen!");

// Add group for personal data
$helperInstance->addFormGroup('persona_data', "Deine pers&ouml;nliche Daten, die f&uuml;r die Kursusteilnahme n&ouml;tig sind:");

// Ask again for current account password
$helperInstance->addFormGroup('password', "Bitte gebe zur Best&auml;tigung dein derzeitiges Passwort ein.");
$helperInstance->addFieldText('password', "Derzeitiges Passwort:");
$helperInstance->addInputPasswordField('password');

// CAPTCHA enabled?
if ($helperInstance->ifFormSecuredWithCaptcha()) {
	$helperInstance->addFormGroup('captcha_user', "Die virtuelle Beantragung eines Trainingkursus ist durch ein CAPTCHA gesch&uuml;tzt. Bitte wiederhole den angezeigten Code, um den Trainingskursus zu beantragen.");
	$helperInstance->addCaptcha();
} // END - if

// Display email, surname and family name
$helperInstance->addFormNote('surname', "Vorname: <span class=\"persona_data\">".$helperInstance->getValueField('surname')."</span>");
$helperInstance->addFormNote('family', "Nachname: <span class=\"persona_data\">".$helperInstance->getValueField('family')."</span>");
$helperInstance->addFormNote('email', "Email-Adresse: <span class=\"persona_data\">".$helperInstance->getValueField('email')."</span>");

// Add link placeholder for profile page
$helperInstance->addFormNote('profile', "Stimmen die Daten noch? {?shipsimu_profile?}");

// Flush the finished form
$helperInstance->flushContent();

// Get link helper for profile link
$linkInstance = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'shipsimu_profile', 'index.php?app={?app_short_name?}&amp;page=login_area'));

// Add action
$linkInstance->addActionLinkById('profile', 'profile');

// Flush the finished form
$linkInstance->flushContent();

// [EOC]
?>
<div id="government_frame">
	<div id="government_header">
		Virtuelle Beantragung eines Training-Kursus
	</div>

	<div id="government_form">
		{?shipsimu_government_training?}
	</div>
</div>
