<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, "resend"));

// Pre-fetch field data with a given registry key
$helperInstance->prefetchValueInstance('user');

// Add submit button or notice
if ($helperInstance->ifUserAccountUnconfirmed()) {
	// Add submit button
	$helperInstance->addInputHiddenFieldWithDefault('email');
	$helperInstance->addInputSubmitButton("Best&auml;tigungslink erneut aussenden");
} elseif ($helperInstance->ifUserAccountLocked()) {
	// Account is locked
	$helperInstance->addFormNote('status_locked', "Dein Account wurde gesperrt! Grund der Sperre:
		<span id=\"lock_reason\">".$helperInstance->getValueField('lock_reason')."</span>
		Bitte melde dich beim Support, damit dieser dir weiterhelfen kann."
	);
} elseif ($helperInstance->ifUserAccountGuest()) {
	// Account is guest account
	$helperInstance->addFormNote('status_guest', "G&auml;steaccounts sind in der Funktionalit&auml;t
		leicht eingeschr&auml;nkt. Bitte melde dich an, damit du ein
		vollwertiges Account bekommst."
	);
}

// Flush content and automatically close the form
$helperInstance->flushContent();

if ($helperInstance->ifUserAccountUnconfirmed()) {
	// Build the form for confirmation
	$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, "confirm_code"));

	// Add code box
	$helperInstance->addFormGroup('code', "Bitte gebe hier den Best&auml;tigungscode aus der Willkommensemail ein. Solltest du diese nicht erhalten haben, kannst du dir diesen jetzt zusenden lassen.");
	$helperInstance->addFieldText('code', "Best&auml;tigungscode aus der Mail:");
	$helperInstance->addInputTextField('code');

	// Add submit button
	$helperInstance->addFormGroup('buttons', "Bitte einmal abschicken und das Ergebnis abwarten!");
	$helperInstance->addInputResetButton("Nochmal eingeben");
	$helperInstance->addInputSubmitButton("Best&auml;tigungscode absenden");

	// Flush content and automatically close the form
	$helperInstance->flushContent();
} // END - if

// [EOC]
?>
<div id="content_header">
	Problem mit deinem Account gefunden:
</div>

<div id="status_box">
	Du bist m&ouml;glicherweise f&uuml;r deine ausgew&auml;hlte Aktion nicht
	berechtigt oder du hast noch deine Email-Adresse nicht best&auml;tigt. Du
	kannst dir nun den Best&auml;tigungslink erneut aussenden lassen, oder den
	Best&auml;tigungscode unten eingeben.

	<div id="resend_box">
		{?resend?}
	</div>

	<div id="confirm_code_box">
		{?confirm_code?}
	</div>
</div>
